Get Sent Invitations
curl --request POST \
--url https://api.linkupapi.com/v1/network/sent-invitations \
--header 'Content-Type: application/json' \
--header 'x-api-key: <x-api-key>' \
--data '
{
"invitation_type": "<string>",
"total_results": 123,
"start_page": 123,
"end_page": 123,
"country": "<string>",
"login_token": "<string>"
}
'import requests
url = "https://api.linkupapi.com/v1/network/sent-invitations"
payload = {
"invitation_type": "<string>",
"total_results": 123,
"start_page": 123,
"end_page": 123,
"country": "<string>",
"login_token": "<string>"
}
headers = {
"x-api-key": "<x-api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<x-api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
invitation_type: '<string>',
total_results: 123,
start_page: 123,
end_page: 123,
country: '<string>',
login_token: '<string>'
})
};
fetch('https://api.linkupapi.com/v1/network/sent-invitations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"data": {
"total_results": 10,
"total_available_results": 138,
"invitations": [
{
"name": "Michelle Heppler",
"profile_url": "https://www.linkedin.com/in/michelle-heppler",
"subtitle": "Co-Founder & CCO at Unique AI | Financial Services Agentic AI | 🌍 New York",
"sent_time": "Sent yesterday",
"invitation_id": 7329176687475109888,
"invitation_state": "PENDING",
"message": null,
"entity_urn": "urn:li:fsd_invitation:7329176687475109888",
"profile_picture": "https://media.licdn.com/dms/image/v2/D4E03AQGxumjpNvfVgA/profile-displayphoto-shrink_800_800/profile-displayphoto-shrink_800_800/0/1730035749634?e=1752710400&v=beta&t=Yn_F5VjS3rd669E6X5x8gOeYnN6wAo49t8a8g9Ci4u4",
"invitation_type": "CONNECTION"
},
// More invitations...
],
"pagination": {
"start_page": 1,
"end_page": 1,
"results_per_page": 10,
"pages_fetched": 1
}
}
}
Network Management
Get Sent Invitations
Retrieve LinkedIn connection invitations you have sent with pagination and filtering
POST
/
v1
/
network
/
sent-invitations
Get Sent Invitations
Search and retrieve invitations you have sent with detailed information about each invitation and recipient. Supports pagination and filtering by invitation type.
Credit Usage: 1 credit per page of results. For example:
- 1 page = 1 credit
- 5 pages = 5 credits
Header Parameters
string
required
Your API key
Body Parameters
string
default:"CONNECTION"
Filter by invitation type. Available types:
- CONNECTION (to people)
- ORGANIZATION (to pages)
- CONTENT_SERIES (to newsletters) If not specified, CONNECTION type will be used.
integer
default:"10"
Number of invitations to return (used when not in pagination mode)
integer
First page to fetch when using pagination mode (default: 1)
integer
Last page to fetch when using pagination mode (default: same as start_page)
string
default:"FR"
Country code for proxy selection. Available: (US, UK, FR, DE, NL, IT, IL, CA, BR, ES, IN)
string
required
LinkedIn authentication cookie obtained from the login/verify process
Response
string
Request status (success/error)
object
Show Properties
Show Properties
integer
Number of invitations returned in this response
integer
Total number of sent invitations available matching the filter criteria
array
Show Invitation Object
Show Invitation Object
string
Full name of the person who received the invitation
string
LinkedIn profile URL of the recipient
string
URL of the recipient’s profile picture (if available)
string
Professional headline or current position of recipient
string
When the invitation was sent
string
Custom message included with the invitation (if any)
integer
Unique identifier for the invitation
string
Current state of the invitation (typically “PENDING”)
string
Type of invitation (CONNECTION, ORGANIZATION, CONTENT_SERIES)
string
LinkedIn entity URN for the invitation
{
"status": "success",
"data": {
"total_results": 10,
"total_available_results": 138,
"invitations": [
{
"name": "Michelle Heppler",
"profile_url": "https://www.linkedin.com/in/michelle-heppler",
"subtitle": "Co-Founder & CCO at Unique AI | Financial Services Agentic AI | 🌍 New York",
"sent_time": "Sent yesterday",
"invitation_id": 7329176687475109888,
"invitation_state": "PENDING",
"message": null,
"entity_urn": "urn:li:fsd_invitation:7329176687475109888",
"profile_picture": "https://media.licdn.com/dms/image/v2/D4E03AQGxumjpNvfVgA/profile-displayphoto-shrink_800_800/profile-displayphoto-shrink_800_800/0/1730035749634?e=1752710400&v=beta&t=Yn_F5VjS3rd669E6X5x8gOeYnN6wAo49t8a8g9Ci4u4",
"invitation_type": "CONNECTION"
},
// More invitations...
],
"pagination": {
"start_page": 1,
"end_page": 1,
"results_per_page": 10,
"pages_fetched": 1
}
}
}
Was this page helpful?